GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/fork-child.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "gdbcmd.h"`
`#include "terminal.h"`
`#include "gdbthread.h"`
`#include "top.h"`
`#include "job-control.h"`
`#include "filestuff.h"`
`#include "nat/fork-inferior.h"`
`#include "common/common-inferior.h"`

Go to the source code of this file.

## Functions
const char * | get_exec_wrapper ()
void | gdb_flush_out_err ()
void | prefork_hook (const char *args)
void | postfork_hook (pid_t pid)
void | postfork_child_hook ()
ptid_t | gdb_startup_inferior (pid_t pid, int num_traps)
static void | unset_exec_wrapper_command (const char *args, int from_tty)
static void | show_startup_with_shell (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
void | _initialize_fork_child (void)

## Variables
static char * | exec_wrapper = NULL
static struct ui * | saved_ui = NULL

## Function Documentation

## ◆ _initialize_fork_child()

void _initialize_fork_child | ( | void |  | ) |

Definition at line 163 of file fork-child.c.

References _, add_cmd(), add_setshow_boolean_cmd(), add_setshow_filename_cmd(), class_run, class_support, exec_wrapper, setlist, show_startup_with_shell(), showlist, startup_with_shell, unset_exec_wrapper_command(), and unsetlist.

## ◆ gdb_flush_out_err()

void gdb_flush_out_err | ( |  | ) |

Definition at line 49 of file fork-child.c.

References gdb_flush(), ui::m_gdb_stderr, ui::m_gdb_stdout, and main_ui.

Referenced by fork_inferior(), and trace_start_error().

## ◆ gdb_startup_inferior()

ptid_t gdb_startup_inferior | ( | pid_t | pid,
|  | int | num_traps
| ) |  |

Definition at line 134 of file fork-child.c.

References pid, set_executing(), and startup_inferior().

Referenced by darwin_ptrace_him(), gnu_create_inferior(), inf_ptrace_create_inferior(), and procfs_init_inferior().

## ◆ get_exec_wrapper()

const char* get_exec_wrapper | ( |  | ) |

Definition at line 41 of file fork-child.c.

References exec_wrapper.

Referenced by execv_argv::init_for_shell(), and startup_inferior().

## ◆ postfork_child_hook()

void postfork_child_hook | ( |  | ) |

Definition at line 103 of file fork-child.c.

References _, create_tty_session(), current_ui, gdb_setpgid(), main_ui, and new_tty().

Referenced by fork_inferior().

## ◆ postfork_hook()

void postfork_hook | ( | pid_t | pid | ) |

Definition at line 79 of file fork-child.c.

References current_inferior(), current_ui, gdb_assert, have_inferiors(), arm-linux::inf, inferior_appeared(), inferior_ptid, init_thread_list(), new_tty_postfork(), pid, pid_to_ptid(), and saved_ui.

Referenced by fork_inferior().

## ◆ prefork_hook()

void prefork_hook | ( | const char * | args | ) |

Definition at line 62 of file fork-child.c.

References current_ui, gdb_assert, get_inferior_io_terminal(), new_tty_prefork(), and saved_ui.

Referenced by fork_inferior().

## ◆ show_startup_with_shell()

static void show_startup_with_shell | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 154 of file fork-child.c.

References _, and fprintf_filtered().

Referenced by _initialize_fork_child().

## ◆ unset_exec_wrapper_command()

static void unset_exec_wrapper_command | ( | const char * | args,
|  | int | from_tty
| ) |  |
| static

Definition at line 147 of file fork-child.c.

References exec_wrapper, and xfree().

Referenced by _initialize_fork_child().

## Variable Documentation

## ◆ exec_wrapper

char* exec_wrapper = NULL
| static

Definition at line 36 of file fork-child.c.

Referenced by _initialize_fork_child(), get_exec_wrapper(), execv_argv::init_for_shell(), and unset_exec_wrapper_command().

## ◆ saved_ui

struct ui* saved_ui = NULL
| static

Definition at line 57 of file fork-child.c.

Referenced by postfork_hook(), and prefork_hook().